interrupt.c File Reference

BusVoodoo runtime interrupt table. More...

Go to the source code of this file.

## Functions

static void | isr_handler (void)
| handler intercepting interrupts and running the function provided in the table

## Variables

vector_table_entry_t | interrupt_table [NVIC_IRQ_COUNT] = {0}
| table of interrupts which can set to user functions More...

## Detailed Description

BusVoodoo runtime interrupt table.

Author
  King Kévin kingk.nosp@m.evin.nosp@m.@cuvo.nosp@m.odoo.nosp@m..info

Date
  2018

Definition in file interrupt.c.

## Variable Documentation

## interrupt_table

vector_table_entry_t interrupt_table[NVIC_IRQ_COUNT] = {0}

table of interrupts which can set to user functions

Note
  only interrupt using the default handler can be intercepted

Definition at line 21 of file interrupt.c.